| libbladeRF 2.6.0-git-fcf94233-dirty Nuand bladeRF library

Loading...
Searching...
No Matches
Data Fields
bladerf_rf_switch_config Struct Reference
bladeRF2-specific API » Low-level accessors » RF Switching Control

## Description

RF switch configuration structure

Definition at line 529 of file bladeRF2.h.

`#include <bladeRF2.h>`

## Data Fields
uint32_t | tx1_rfic_port
uint32_t | tx1_spdt_port
uint32_t | tx2_rfic_port
uint32_t | tx2_spdt_port
uint32_t | rx1_rfic_port
uint32_t | rx1_spdt_port
uint32_t | rx2_rfic_port
uint32_t | rx2_spdt_port

## Field Documentation

## ◆ rx1_rfic_port

uint32_t rx1_rfic_port

Active RX1 input to RFIC

Definition at line 534 of file bladeRF2.h.

## ◆ rx1_spdt_port

uint32_t rx1_spdt_port

RF switch configuration for the RX1 path

Definition at line 535 of file bladeRF2.h.

## ◆ rx2_rfic_port

uint32_t rx2_rfic_port

Active RX2 input to RFIC

Definition at line 536 of file bladeRF2.h.

## ◆ rx2_spdt_port

uint32_t rx2_spdt_port

RF switch configuration for the RX2 path

Definition at line 537 of file bladeRF2.h.

## ◆ tx1_rfic_port

uint32_t tx1_rfic_port

Active TX1 output from RFIC

Definition at line 530 of file bladeRF2.h.

## ◆ tx1_spdt_port

uint32_t tx1_spdt_port

RF switch configuration for the TX1 path

Definition at line 531 of file bladeRF2.h.

## ◆ tx2_rfic_port

uint32_t tx2_rfic_port

Active TX2 output from RFIC

Definition at line 532 of file bladeRF2.h.

## ◆ tx2_spdt_port

uint32_t tx2_spdt_port

RF switch configuration for the TX2 path

Definition at line 533 of file bladeRF2.h.

The documentation for this struct was generated from the following file:

- bladeRF2.h